%if 0%{?fedora}
%global with_python3 1
%endif

%global pypi_name XStatic-term.js
%global pkgname XStatic-termjs

Name:           python-%{pkgname}
Version:        0.0.7.0
Release:        1%{?dist}
Summary:        term.js (XStatic packaging standard)

License:        MIT
URL:            https://github.com/chjj/term.js
Source0:        https://files.pythonhosted.org/packages/source/X/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

%package -n python2-%{pkgname}
Summary:        %{summary}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

Requires:       python2-XStatic
Requires:       xstatic-termjs-common

%{?python_provide:%python_provide python2-%{pkgname}}

%description -n python2-%{pkgname}
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 2 build of %{pkgname}.

%if 0%{?with_python3}
%package -n python3-%{pkgname}
Summary:        %{summary}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-XStatic
Requires:       xstatic-termjs-common

%{?python_provide:%python_provide python3-%{pkgname}}

%description -n python3-%{pkgname}
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package provides Python 3 build of %{pkgname}.
%endif

%package -n xstatic-termjs-common
Summary:        %{summary}

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem

%description -n xstatic-termjs-common
JavaScript library packaged for setuptools (easy_install) / pip.

This package is intended to be used by any project that needs these files.

It intentionally does not provide any extra code except some metadata
nor has any extra requirements.

This package contains the javascript files.

%prep
%autosetup -n %{pypi_name}-%{version}
# patch to use webassets dir
sed -i "s|^BASE_DIR = .*|BASE_DIR = '%{_jsdir}/termjs'|" xstatic/pkg/termjs/__init__.py

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install
mkdir -p %{buildroot}%{_jsdir}/termjs
mv %{buildroot}%{python2_sitelib}/xstatic/pkg/termjs/data/term.js %{buildroot}%{_jsdir}/termjs
rmdir %{buildroot}%{python2_sitelib}/xstatic/pkg/termjs/data/
# fix execute flags for js
chmod 644 %{buildroot}%{_jsdir}/termjs/term.js

%if 0%{?with_python3}
%py3_install
# Remove static files, already created by the python2 subpkg
rm -rf %{buildroot}%{python3_sitelib}/xstatic/pkg/termjs/data
%endif

%files -n python2-%{pkgname}
%doc README.rst
%{python2_sitelib}/xstatic/pkg/termjs
%{python2_sitelib}/XStatic_term.js-%{version}-py%{python2_version}.egg-info
%{python2_sitelib}/XStatic_term.js-%{version}-py%{python2_version}-nspkg.pth

%if 0%{?with_python3}
%files -n python3-%{pkgname}
%doc README.rst
%{python3_sitelib}/xstatic/pkg/termjs
%{python3_sitelib}/XStatic_term.js-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/XStatic_term.js-%{version}-py%{python3_version}-nspkg.pth
%endif

%files -n xstatic-termjs-common
%doc README.rst
%{_jsdir}/termjs

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.7.0-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.0.4.2-6
- Rebuild for Python 3.6

* Mon Oct 10 2016 Jan Beran <jberan@redhat.com> - 0.0.4.2-5
- Provides a Python 3 subpackage

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4.2-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 19 2015 Matthias Runge <mrunge@redhat.com> - 0.0.4.2-1
- Initial package (rhbz#1194225).
